Class UmlBaseAccessVariableValueAction

Declaration :

- C++ : class UmlBaseAccessVariableValueAction : public UmlActivityAction
- Java : abstract class UmlBaseAccessVariableValueAction extends UmlActivityAction

Directly inherited by : UmlAccessVariableValueAction

Artifact : UmlBaseAccessVariableValueAction

Operation UmlBaseAccessVariableValueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseAccessVariableValueAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseAccessVariableValueAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseAccessVariableValueAction(long id, String s)

Operation variable

return the variable, may be an attribute or a relation

Declaration :

- Uml : + variable() : UmlItem
- C++ : public: UmlItem * variable()
- Java : public UmlItem variable()

Operation set_Variable

set the variable
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Variable(in v : UmlItem) : bool, exceptions : RuntimeException
- C++ : public: bool set_Variable(UmlItem * v)
- Java : public void set_Variable(UmlItem v) throws RuntimeException

Relation _variable (<unidirectional association>)

Declaration :

- Uml : - _variable : UmlItem
- C++ : private: UmlItem * _variable
- Java : private UmlItem _variable

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable